from distutils.core import setup
from popen2 import popen2

NAME = "snake"
VERSION = popen2("grep \"Version:\" snake.spec | awk '{print $2}'")[0].read().strip()
SHORT_DESC = "%s - Smart Network Automated Kickstart Environment" % NAME
LONG_DESC = """
A small python framework that provides information about installation
trees and kickstart files.
"""

setup (
    name = "%s" % NAME,
    version = VERSION,
    author = "Will Woods",
    author_email = "wwoods@redhat.com",
    url = "http://hosted.fedoraproject.org/projects/snake",
    license = "GPL",
    packages = ["%s" % NAME,],
    scripts = ["scripts/snake-rawhide-status"],
    data_files = [
                  ("/usr/sbin",                 ["snake-server",
                                                 "snake-ks",
                                                 "snake-tree",
                                                 "snake-install",
                                                 "snake-install-tui"]),
                  ("/etc/init.d",               ["init-scripts/snake-server"]),
                  ("/etc",                      ["etc/snake.conf"]),
                  ("/var/lib/snake/kickstarts", ["examples/minimal.ks"]),
                  ("/usr/share/man/man1",       ["docs/snake-tree.1.gz",
                                                 "docs/snake-ks.1.gz",
                                                 "docs/snake-install.1.gz"],),
                 ],
    description = SHORT_DESC,
    long_description = LONG_DESC
)
